Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## charva.awt
Class EventQueue

    java.lang.Object
      charva.awt.EventQueue

public class EventQueue
extends java.lang.Object

Correct manage of FocusEvents ( Lost and Gained )

Method Summary
`static EventQueue` | `getInstance()`
`AWTEvent` | `getNextEvent()` This method is only called if we know that an event is available.
`static void` | `invokeLater(java.lang.Runnable runnable_)` Causes the runnable's run() method to be called in the AWT dispatch thread.
`void` | `postEvent(AWTEvent evt_)`
`boolean` | `queuesAreEmpty()` Returns true if both the high-priority queue and the low-priority queue are empty.
`AWTEvent` | `waitForNextEvent()` Block until an event is available, then return the event.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static EventQueue getInstance()

### postEvent

    public void postEvent(AWTEvent evt_)

### waitForNextEvent

    public AWTEvent waitForNextEvent()

  Block until an event is available, then return the event.

  Returns:
    the next available AWTEvent

### getNextEvent

    public AWTEvent getNextEvent()

  This method is only called if we know that an event is available.

  Returns:
    the first AWTEvent on the queue.

### invokeLater

    public static void invokeLater(java.lang.Runnable runnable_)

  Causes the runnable's run() method to be called in the AWT dispatch thread.

### queuesAreEmpty

    public boolean queuesAreEmpty()

  Returns true if both the high-priority queue and the low-priority queue are empty. It is not necessary to make this synchronized because it is called from a synchronized method.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD